GOLF(2gg)

NAME
copy-file - (files)

PURPOSE
Copies one file to another.

SYNTAX

        copy-file <source file> to <target file> [ status <status> ]

DESCRIPTION
File <source file> is copied into <target file>, which is created if it does not exist.

Status can be obtained in <status> variable, which is GG_ERR_OPEN if cannot open source file, GG_ERR_CREATE if cannot create target file, GG_ERR_READ if cannot read source file, GG_ERR_WRITE if cannot write target file, or number of bytes copied (including 0) on success.

EXAMPLES

        copy-file "/home/user/source_file" to "/home/user/target_file" status st

SEE ALSO
 Files

change-mode close-file copy-file delete-file file-position file-storage file-uploading lock-file open-file read-file read-line rename-file stat-file temporary-file uniq-file unlock-file write-file See all documentation